be.fgov.ehealth.dics.core.v3.virtual.common

## Class VmpGroupType

- java.lang.Object
- - be.fgov.ehealth.dics.core.v3.virtual.common.VmpGroupKeyType
  - - be.fgov.ehealth.dics.core.v3.virtual.common.VmpGroupType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:11:18+01:00",
                 comments="JAXB RI v2.2.11")
      public class VmpGroupType
      extends VmpGroupKeyType
      implements Serializable

  Java class for VmpGroupType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="VmpGroupType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:dics:core:v3:virtual:common}VmpGroupKeyType">
             <sequence>
               <group ref="{urn:be:fgov:ehealth:dics:core:v3:virtual:common}VmpGroupFields"/>
               <group ref="{urn:be:fgov:ehealth:dics:core:v3:virtual:common}VmpGroupReferences"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VmpGroupType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Text255Type` | `getName()` Gets the value of the name property.
    `String` | `getNoGenericPrescriptionReasonCode()` Gets the value of the noGenericPrescriptionReasonCode property.
    `String` | `getNoSwitchReasonCode()` Gets the value of the noSwitchReasonCode property.
    `void` | `setName(Text255Type value)` Sets the value of the name property.
    `void` | `setNoGenericPrescriptionReasonCode(String value)` Sets the value of the noGenericPrescriptionReasonCode property.
    `void` | `setNoSwitchReasonCode(String value)` Sets the value of the noSwitchReasonCode property.

    - ### Methods inherited from class be.fgov.ehealth.dics.core.v3.virtual.common.VmpGroupKeyType

      `getCode, setCode`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VmpGroupType

          public VmpGroupType()

  - ### Method Detail

    - #### getName

          public Text255Type getName()

      Gets the value of the name property.
      Returns:
        possible object is `Text255Type`

    - #### setName

          public void setName(Text255Type value)

      Sets the value of the name property.
      Parameters:
        `value` - allowed object is `Text255Type`

    - #### getNoGenericPrescriptionReasonCode

          public String getNoGenericPrescriptionReasonCode()

      Gets the value of the noGenericPrescriptionReasonCode property.
      Returns:
        possible object is `String`

    - #### setNoGenericPrescriptionReasonCode

          public void setNoGenericPrescriptionReasonCode(String value)

      Sets the value of the noGenericPrescriptionReasonCode property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNoSwitchReasonCode

          public String getNoSwitchReasonCode()

      Gets the value of the noSwitchReasonCode property.
      Returns:
        possible object is `String`

    - #### setNoSwitchReasonCode

          public void setNoSwitchReasonCode(String value)

      Sets the value of the noSwitchReasonCode property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.